=head1 NAME

B<addkit> - Install a kit on the xCAT management node

=head1 SYNOPSIS

B<addkit> [-h|--help]

B<addkit> [-V|--verbose] [-p|--path <path>] <kitlist>

=head1 DESCRIPTION

The B<addkit> command install a kit on the xCAT management node from a kit tarfile or directory, creating xCAT database definitions for kit, kitrepo, kitcomponent.

=head1 OPTIONS

B<-h|--help>

Display usage message.

B<-V|--verbose>

Verbose mode.

B<-p|--path <path>>

The destination directory to which the contents of the kit tarfiles and/or kit deploy dirs will be copied.  When this option is not specified, the default destination directory will be formed from the installdir site attribute with ./kits subdirectory.

B<kitlist>

a comma delimited list of kit_tarball_files and kit_deploy_dirs that are to be added to the xCAT cluster.  Each entry can be an absolute or relative path.  For kit_tarball_files, these must be valid kits tarfiles added.  For kit_deploy_dirs, these must be fully populated directory structures that are identical to the contents of an expanded kit_tarball_file.

=head1 RETURN VALUE

0  The command completed successfully.

1  An error has occurred.

=head1 EXAMPLES

1. To add two kits from tarball files.

addkit kit-test1.tar.bz2,kit-test2.tar.bz2

Output is similar to:

Kit /kit/kit-test1.tar.bz2,/kit/kit-test2.tar.bz2 was successfully added.

2. To add two kits from directories.

addkit kit-test1,kit-test2

Output is similar to:

Kit /kit/kit-test1,/kit/kit-test2 was successfully added.

3. To add a kit from tarball file to /install/test directory.

addkit -p /install/test kit-test1.tar.bz2

Output is similar to:

Kit /kit/kit-test1.tar.bz2 was successfully added.


=head1 SEE ALSO

L<rmkit(1)|rmkit.1>, L<addkitcomp(1)|addkitcomp.1>, L<rmkitcomp(1)|rmkitcomp.1>, L<chkkitcomp(1)|chkkitcomp.1>


